/*
 *  $Id: Sy_ShmAlloc.h,v 1.1 1993/12/09 12:35:02 rlo Exp rlo $
 * 
 *  Author: Robert L. Ogniewicz, Swiss Federal Institute of Technology ETH
 *          Zurich, Switzerland (rlo@vision.ethz.ch)
 */

/* Copyright Notice
 * ================
 * Copyright (C) 1993 by Robert L. Ogniewicz
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.  
 */

#include <sys/types.h>

#ifndef _SY_SHMALLOC_H
#define _SY_SHMALLOC_H 1

#define SY_ALLOC_STD 1
#define SY_ALLOC_SHM 2

#ifdef  __cplusplus
extern "C" {
#endif

char* Sy_ShmAlloc (int nbytes, key_t key);
int Sy_ShmUnmap (key_t key);
int Sy_ShmUnmapAll (void);
char* Sy_ShmAddr (key_t key);
int Sy_ShmFree (key_t key);
int Sy_ShmFreeAll (void);
int Sy_ReadShmInfo (FILE *inp);
int Sy_WriteShmInfo (FILE *outp);

#ifdef  __cplusplus
}
#endif

#endif /* _SY_SHMALLOC_H */

