 /*
  * Khoros: $Id$
  */

 /*
  * $Log$
  */

/*
 *----------------------------------------------------------------------
 *
 * Copyright 1992, University of New Mexico.  All rights reserved.
 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as to the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including, for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *---------------------------------------------------------------------
 */

#include "unmcopyright.h"        /* Copyright 1992 by UNM */


/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name: ctran.h
 >>>>            Author: Robert Ogniewicz and M. Y. Jaisimha
 
 >>>> Date Last Updated: Fri May 13 17:44:59 1994
 >>>> 
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

#ifndef _ctran_h_
#define _ctran_h_

#include "vinclude.h"


/* -include_includes */
#include <stdio.h>
#include <sys/types.h>
#include "Sy_Skeleton.h"
#include "Sy_Intrinsic.h"
#include "Sy_Uparse.h"
#include "Sy_Graphics.h"
#include "Sy_DrawKhoros.h"
/* -include_includes_end */

char	**av,		/* argv and argc used by gparams */
	*program;	/* a pointer to the program name argv[0] */
int	ac;

/****************************************************************
*
*                    ctran Argument Structure
*
****************************************************************/

typedef struct _ctran  {

/*
 *  input image or file (Required infile)
 */
char	*i_file;	/* input image or file FILENAME */
int	 i_flag;	/* input image or file FLAG */

/*
 *  resulting output image or file (Optional outfile)
 */
char	*o1_file;	/* resulting output image or file FILENAME */
int	 o1_flag;	/* resulting output image or file FLAG */

/*
 *  resulting output crack file (Optional outfile)
 */
char	*o2_file;	/* resulting output crack file FILENAME */
int	 o2_flag;	/* resulting output crack file FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 timer_logic;	/* selects one or zero LOGIC */
int	 timer_flag;  	/* selects one or zero FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 verbose_logic;	/* selects one or zero LOGIC */
int	 verbose_flag;  	/* selects one or zero FLAG */

/*
 *  selects one or zero (Optional logical)
 */
int	 ascii_logic;	/* selects one or zero LOGIC */
int	 ascii_flag;  	/* selects one or zero FLAG */

/*
 *  cleanup preprocessing (Optional logical)
 */
int	 cleanup_logic;	/* cleanup preprocessing LOGIC */
int	 cleanup_flag;  	/* cleanup preprocessing FLAG */

/*
 *  Cleanup Threshold (Optional float)
 */
float	 clthreshold_float;	/* Cleanup Threshold FLOAT */
int	 clthreshold_flag;   	/* Cleanup Threshold FLAG */

}  ctran_struct;

ctran_struct *ctran;

/* -include_additions */
/* -include_additions_end */

/* -include_macros */
/* -include_macros_end */

#endif
