
#include <stdio.h>
#include <math.h>
#include "image.h"
#include "options.h"

#include <hvision.h>

main (int argc, char* argv[])
{
  SyImage_t *ima;

  IMAGE *in, *out; 
  int i;

  if (argc <= 1) { printf ("usage: load file [type]\n"); exit(0); }

  ima = Sy_LoadImageFromFile (argv[1], SY_GREY, argc >=3 ? argv[2] : NULL, 
			      1);
  if (ima == NULL) exit(2);

  in = hvMakeImage(ima->height, ima->width, ima->pixlen,
		   SEQUENTIAL, ONEBYTE);

  printf ("imagesize (HVision) = %d\n", in->bytesize);
  for (i = 0; i < in->bytesize; i++){
    in->im[i] = ima->data[i];
  }

  if (!hvOpenGterm(getenv("DISPLAY"), NULL)) exit(0); 
  hvSetName (in, argv[1], TRUE);
  hvSendImage(in);

/*  if (!hvWriteImage(out, outfilename)) exit(0); */

}
